Debian Bug report logs - #617659
pdnsd: FTBFS on kfreebsd-*: helpers.c:502: undefined reference to `arc4random'

version graph

Package: src:pdnsd; Maintainer for src:pdnsd is Debian QA Group <packages@qa.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Thu, 10 Mar 2011 11:30:02 UTC

Severity: serious

Found in versions pdnsd/1.2.8-par-1, pdns/1.2.8-par-2

Fixed in versions pdnsd/1.2.8-par-2, pdnsd/1.2.8-par-2.2

Done: Alexander Reichle-Schmehl <tolimar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#617659; Package src:pdnsd. (Thu, 10 Mar 2011 11:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Thu, 10 Mar 2011 11:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pdnsd: FTBFS on kfreebsd-*: helpers.c:502: undefined reference to `arc4random'
Date: Thu, 10 Mar 2011 12:28:41 +0100
Source: pdnsd
Version: 1.2.8-par-1
Severity: serious
Justification: FTBFS
User: debian-bsd@lists.debian.org
Usertags: kfreebsd

Hi,

your package no longer builds on kfreebsd:
| gcc  -Wall -Wextra -g -O2   -o if_up if_up.o  netdev.o error.o thread.o helpers.o icmp.o -pthread 
| helpers.o: In function `get_rand16':
| /build/buildd-pdnsd_1.2.8-par-1-kfreebsd-amd64-QiQkdM/pdnsd-1.2.8-par/src/test/../helpers.c:502: undefined reference to `arc4random'
| collect2: ld returned 1 exit status

Full build logs:
  https://buildd.debian.org/status/package.php?p=pdnsd

IIRC there's an arc4random implementation available in libbsd, you may
want to use that.

KiBi.




Added tag(s) pending. Request was from Mahyuddin Susanto <udienz@ubuntu.com> to control@bugs.debian.org. (Mon, 21 Mar 2011 08:15:13 GMT) Full text and rfc822 format available.

Reply sent to Mahyuddin Susanto <udienz@ubuntu.com>:
You have taken responsibility. (Sat, 11 Jun 2011 10:36:15 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sat, 11 Jun 2011 10:36:19 GMT) Full text and rfc822 format available.

Message #12 received at 617659-close@bugs.debian.org (full text, mbox):

From: Mahyuddin Susanto <udienz@ubuntu.com>
To: 617659-close@bugs.debian.org
Subject: Bug#617659: fixed in pdnsd 1.2.8-par-2
Date: Sat, 11 Jun 2011 10:33:46 +0000
Source: pdnsd
Source-Version: 1.2.8-par-2

We believe that the bug you reported is fixed in the latest version of
pdnsd, which is due to be installed in the Debian FTP archive:

pdnsd_1.2.8-par-2.debian.tar.gz
  to main/p/pdnsd/pdnsd_1.2.8-par-2.debian.tar.gz
pdnsd_1.2.8-par-2.dsc
  to main/p/pdnsd/pdnsd_1.2.8-par-2.dsc
pdnsd_1.2.8-par-2_i386.deb
  to main/p/pdnsd/pdnsd_1.2.8-par-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mahyuddin Susanto <udienz@ubuntu.com> (supplier of updated pdnsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 10 Apr 2011 01:17:29 +0700
Source: pdnsd
Binary: pdnsd
Architecture: source i386
Version: 1.2.8-par-2
Distribution: unstable
Urgency: low
Maintainer: Mahyuddin Susanto <udienz@ubuntu.com>
Changed-By: Mahyuddin Susanto <udienz@ubuntu.com>
Description: 
 pdnsd      - Proxy DNS Server
Closes: 617644 617659 617913 618671
Changes: 
 pdnsd (1.2.8-par-2) unstable; urgency=low
 .
   * debian/patches/03-autotools.patch: Dropped not needed anymore and make
     FTBFS on kfreebsd-* because it was restoring patch from kfreebsd patches.
     (Closes: #617659)
   * debian/patches/06_man_prefix.patch: Fix manual page path to $prefix/share.
   * Add maintainer script to deleting files during uninstall packages.
     (Closes: #617913)
     - debian/postrm
     - debian/prerm
   * Fix broken init.d script, Thanks to RjY <rjy@users.sourceforge.net>:
     (Closes: #617644)
     - debian/init.d
     - debian/pdnsd.conf
   * debian/init.d: Rewriting to LSB-compliant, Thanks to Martin Dziobek.
     (Closes: #618671)
   * debian/changelog: Fix wrong bug number in 1.2.8-par-1.
   * debian/control:
     - Move Vcs-browser field to git browser rather than anonscm.
     - Bump Build-Dep of debpelper to 7.0.50~ since used dh_override.
     - Bump Standards-Version to 3.9.2.
   * debian/rules: Rewriting to using simple rules.
Checksums-Sha1: 
 c0f6c94b46e2a347da40a689cc1c1c50a9e1fe5e 1466 pdnsd_1.2.8-par-2.dsc
 2c539ddd313ee701a1b708ca15539d0a3bf5f4d1 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 658fb4a1aa123970796697d28da9bad1615866d9 299164 pdnsd_1.2.8-par-2_i386.deb
Checksums-Sha256: 
 762ec58d4bc87bfdf40e942b09909495c90399777bfba7275fd1644b9ffc2509 1466 pdnsd_1.2.8-par-2.dsc
 5bada3bf12b304d83c88c6d38b490065c0ae4836b7d7a3a6bcd47172ecf97159 26295 pdnsd_1.2.8-par-2.debian.tar.gz
 3c9fc532083c5bfcb51d3e94e1788444164ae0241e7a97d6085b056bf7341449 299164 pdnsd_1.2.8-par-2_i386.deb
Files: 
 d60f573e8196501748a78190831d866d 1466 net optional pdnsd_1.2.8-par-2.dsc
 3ae7dca8b6e880864a03d7519ed2ae2c 26295 net optional pdnsd_1.2.8-par-2.debian.tar.gz
 f7046598dcfec03c0634ab061c988291 299164 net optional pdnsd_1.2.8-par-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCgAGBQJN80EiAAoJEEmrPP2rYrC4a0MH/RGxnM923LFBrwOEP7ZoU51W
6Pr/fmdhA4dCO0BFZb7FDuwriv/u8qFjMYyHhzd9cwIwM5SdKzk7HcS8p0bRt6Nk
KczsenH7lRryIXAXTQ4TnBVwlplI/DoqAOOQtgFOeUZ1U+vaF1HT0krAwBClGj79
hBGS3EOVopZ4eBh7/S4M8TiWiTQrGb/Nu2ielW9KN0AL8yLe/l8AnMCbrTbPRjUE
G9pMU7i/sgx+P9cIQFJsIgfKy/f1d56ZiegTFcMwFDCd7X+LCbFeO5ZavYLFet7P
0fzkcE69nIs6QbnWLbFP7jzFPes4eSCaP9ieeou12fQjYz41YbfgpXjdmwRQxak=
=Jqdx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Mahyuddin Susanto <udienz@ubuntu.com>:
Bug#617659; Package src:pdnsd. (Sat, 11 Jun 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aron Xu <happyaron.xu@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mahyuddin Susanto <udienz@ubuntu.com>. (Sat, 11 Jun 2011 10:57:05 GMT) Full text and rfc822 format available.

Message #17 received at 617659@bugs.debian.org (full text, mbox):

From: Aron Xu <happyaron.xu@gmail.com>
To: control@bugs.debian.org, 617659@bugs.debian.org
Subject: pdns/1.2.8-par-2 still FTBFS on kfreebsd
Date: Sat, 11 Jun 2011 18:53:15 +0800
[Message part 1 (text/plain, inline)]
found 617659 pdns/1.2.8-par-2
thanks

As shown in the new build log, it still FTBFS on kfreebsd:
https://buildd.debian.org/status/fetch.php?pkg=pdnsd&arch=kfreebsd-i386&ver=1.2.8-par-2&stamp=1307788923

-- 
Regards,
Aron Xu
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions pdns/1.2.8-par-2 and reopened. Request was from Aron Xu <happyaron.xu@gmail.com> to control@bugs.debian.org. (Sat, 11 Jun 2011 10:57:11 GMT) Full text and rfc822 format available.

Reply sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
You have taken responsibility. (Tue, 20 Dec 2011 15:27:07 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 20 Dec 2011 15:27:07 GMT) Full text and rfc822 format available.

Message #24 received at 617659-close@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 617659-close@bugs.debian.org
Subject: Bug#617659: fixed in pdnsd 1.2.8-par-2.2
Date: Tue, 20 Dec 2011 15:24:45 +0000
Source: pdnsd
Source-Version: 1.2.8-par-2.2

We believe that the bug you reported is fixed in the latest version of
pdnsd, which is due to be installed in the Debian FTP archive:

pdnsd_1.2.8-par-2.2.debian.tar.gz
  to main/p/pdnsd/pdnsd_1.2.8-par-2.2.debian.tar.gz
pdnsd_1.2.8-par-2.2.dsc
  to main/p/pdnsd/pdnsd_1.2.8-par-2.2.dsc
pdnsd_1.2.8-par-2.2_amd64.deb
  to main/p/pdnsd/pdnsd_1.2.8-par-2.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 617659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl <tolimar@debian.org> (supplier of updated pdnsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 06 Dec 2011 14:01:47 +0100
Source: pdnsd
Binary: pdnsd
Architecture: source amd64
Version: 1.2.8-par-2.2
Distribution: unstable
Urgency: low
Maintainer: Mahyuddin Susanto <udienz@ubuntu.com>
Changed-By: Alexander Reichle-Schmehl <tolimar@debian.org>
Description: 
 pdnsd      - Proxy DNS Server
Closes: 617659 630209 651112
Changes: 
 pdnsd (1.2.8-par-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Refresh debian/patches/01_support_kfreebsd_properly.patch to also use
     $(thread_CFLAGS) during linking.  Fixes FTBFS on kfreeBSD-* (Closes: #651112, #630209)
   * Apparently the previous FTBFS for kfreeBSD-* got also fixed (Closes: #617659)
Checksums-Sha1: 
 941c7c7162673488c300aa0f1ee5bef50a1550da 1859 pdnsd_1.2.8-par-2.2.dsc
 1ab230ef665f0a3f87c7e18da98c190948c58c13 26454 pdnsd_1.2.8-par-2.2.debian.tar.gz
 e00a9a0143e0fa76f87d54a635a9caec88465c3a 304492 pdnsd_1.2.8-par-2.2_amd64.deb
Checksums-Sha256: 
 638dde7dd4d79aaa389d483c6b4524a18e2afba0def3ccf82ab14cabc16c75ff 1859 pdnsd_1.2.8-par-2.2.dsc
 29d183e473078bd1c033da1805eb4789c8079850965a0353c925498a03372a7d 26454 pdnsd_1.2.8-par-2.2.debian.tar.gz
 65c9633e81e2e50b5c3042fb2cbc60b26a4f50a1f3a484cdf59ff45210e43fbf 304492 pdnsd_1.2.8-par-2.2_amd64.deb
Files: 
 2d951830689f6804ff102ddd5a5bbb36 1859 net optional pdnsd_1.2.8-par-2.2.dsc
 0d132a2e76ff314bfe7edb22827a06dd 26454 net optional pdnsd_1.2.8-par-2.2.debian.tar.gz
 b2a0c32d26c8370e6af74ab28efb3c99 304492 net optional pdnsd_1.2.8-par-2.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJO3hpcAAoJEMJLZaJnLIsSZCUP/0LUrYPeGrTOFXlSWwsEqPx3
/JkQezd7jvX6Ght4CIHrInWTJpGAYPNLT2R4Zzf9DzhTQtRScmL4ZGBk0+kCaFkY
ag+2flXOQuibGIzhlCBI1/hOw0Y8PIxsabvyk1Ih0koqAZfZX0TZvcI4UcUf4vor
kM8nPSTucizLN55GHdkzfLfxfd+F+59wSRvZS4CAwH+DT32RUeh+J+E+wRGPCClM
yVxc3y6ifOA6sIVhERSrlOMrhGdlwVSexB2Whf2SA9dEhqndbS5EjJYJ765B+YM4
eVjy3huAPwrcDqyvWpmqWF9F/uEge2Ns1kQMjLGQiz/8y07OwH2O3SjGXk6IBZCZ
FgepxtqiAzF3uqyMQEdB/b64AlJvCJVsQWMUbLXaPwXCxZ9WRq1fPDOwuBVAF3pL
E3K3UIz48pf4ZCf6G1muX8C7YPzA7BvlwTzN8/YWpRV0q8l3XtJaX1eIsJAq8LrX
0aCKSw06mr+wTwqUgKcpKQrxpS8GKjxdWtTS6RNzW1vIcQftTh3Q5W33oEtWAWHM
6X1eCPg0OPpaNfVNaGATgymGbhAvMTcxg+BiQ9DlyqCXoLzgCJ93SEYVlKN+zsCH
aAq1F8+8F5dsHJAkKqblSNFgkfLTZ/Vovbbs1nkt+G2DJLkYbygspAMZW00xSOsq
P46xI79UkXF87v0YAt/+
=8CeK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jan 2012 07:36:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:21:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.